﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Notifications about Tasks</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Notifications about Tasks</h1>
        <p>You can configure email templates for receiving automatic notifications from Saviynt Identity Governance and Administration (IGA) when a task is created, completed, discontinued, or when the number of tasks exceeds a specific limit.&#160;</p>
        <div class="confluence-information-macro confluence-information-macro-information conf-macro output-block">
            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                <ul>
                    <li>
                        <p class="note">You can configure these task email templates from <strong>Admin &gt; Global Configurations &gt; Tasks</strong>. For more information about ARS global configurations, see&#160;<MadCap:xref href="../Chapter06-Configuring-EIC/ARS-Tasks-Configurations.htm#top">ARS Tasks Configurations</MadCap:xref>.</p>
                    </li>
                    <li>
                        <p class="note">In this document, the term "requestor" is used for the person who creates the request, and the term user is used for the person for whom the request is raised in IGA.</p>
                    </li>
                </ul>
            </div>
        </div>
        <p>The task email template fields are listed in the following table.</p>
        <p>You can select the required email template in each of these fields and&#160;IGA sends you the email notification based on the selected template.</p>
        <div class="table-wrap">
            <table style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                            <p class="table-text">Field Name</p>
                        </th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                            <p class="table-text">Description</p>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Task Complete Email Template</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To send an email notification to the user&#160;when a task is completed.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Task Discontinue Email Template</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To send an email notification to the user when a task is discontinued.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Task Create Email Template</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To send an email notification to the user when a task is&#160;created.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Task Count Limit Email Template</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">To send an email notification to the user when the number of tasks exceeds a specific limit.</p>
                            <p class="table-text">You can specify the limit (integer value) in this field.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>If you have configured these email templates, IGA sends a notification in the configured email based on the selected template.&#160;</p>
        <p>
            <img src="../Resources/Images/Email-Template-Configuration-Filed-ARS-Tasks.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;max-width: 100%;" />
        </p>
        <p>Figure: Email Template Configuration Fields for Tasks from ARS Global Configurations</p>
        <h3 id="NotificationsaboutTasks-ExampleScenario:">Example Scenario:</h3>
        <p>Suppose you want to configure an email template for sending a notification mail about task completion to the user (for whom the request was created).</p>
        <ol>
            <li>
                <p>Create an email template from <strong>Admin &gt; Configurations &gt; Email Templates</strong>.</p>
            </li>
        </ol>
        <div class="confluence-information-macro-body">
            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                <p class="note">For more information about creating email templates, see <em>Configuring Email Templates</em> section in <MadCap:xref href="../Chapter06-Configuring-EIC/Creating-and-Managing-Email-Templates.htm">Creating and Managing Email Templates</MadCap:xref>.</p>
            </div>
        </div>
        <ol MadCap:continue="true">
            <li>
                <p>Set the "To" field in your email template with the&#160;email parameter for the user as "${user?.email}"</p>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">For more information about the email parameters that can be configured in the&#160;Task Complete Email Template field, see <MadCap:xref href="../Chapter06-Configuring-EIC/Creating-and-Managing-Email-Templates.htm">Creating and Managing Email Templates</MadCap:xref>, "Email Parameters required for ARS Tab."</p>
        </div>
        <ol MadCap:continue="true">
            <li>Select the <strong>Task Complete Email Template</strong><span style="color: rgb(0,0,0);">&#160;email template from </span><strong>Admin &gt; Global Configurations &gt;Tasks</strong>. For more information, see <MadCap:xref href="../Chapter06-Configuring-EIC/ARS-Tasks-Configurations.htm#top">ARS Tasks Configurations</MadCap:xref>.</li>
        </ol>
    </body>
</html>